Skip to main content
PATCH
/
transactions
/
{id}
Update a transaction
curl --request PATCH \
  --url https://api.finta.io/v2/transactions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bankConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider": "plaid",
  "providerId": "<string>",
  "summary": "<string>",
  "amount": 123,
  "currency": "<string>",
  "authorizedDate": "2023-12-25",
  "postedDate": "2023-12-25",
  "merchantName": "<string>",
  "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fees": 123,
  "feeType": "<string>",
  "netAmount": 123,
  "subAccount": "<string>",
  "paymentChannel": "<string>",
  "checkNumber": "<string>",
  "originalDescription": "<string>",
  "source": "<string>"
}

Authorizations

Authorization
string
header
required

Finta API key from the dashboard (Bearer token).

Path Parameters

id
string<uuid>
required

Transaction UUID

Body

application/json
categoryId
string<uuid> | null

Category UUID to assign, or null to remove

Response

Updated transaction

id
string<uuid>
required
bankConnectionId
string<uuid>
required
bankAccountId
string<uuid>
required
provider
string
required
Example:

"plaid"

providerId
string
required
status
enum<string>
required
Available options:
pending,
posted,
deleted
summary
string
required
amount
number
required
currency
string | null
required
authorizedDate
string<date> | null
required
postedDate
string<date> | null
required
merchantName
string | null
required
categoryId
string<uuid> | null
required
fees
number | null
required
feeType
string | null
required
netAmount
number | null
required
subAccount
string | null
required
paymentChannel
string | null
required
checkNumber
string | null
required
originalDescription
string | null
required
source
string | null
required